Saltar al contenido principal
POST
/
crm-object-schemas
/
v3
/
schemas
/
batch
/
read
Obtener varios esquemas de objetos personalizados en una solicitud por lotes.
curl --request POST \
  --url https://api.hubapi.com/crm-object-schemas/v3/schemas/batch/read \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "includeAssociationDefinitions": true,
  "includeAuditMetadata": true,
  "includePropertyDefinitions": true,
  "inputs": [
    "<string>"
  ]
}
'
{
  "results": [
    {
      "associations": [
        {
          "fromObjectTypeId": "2-123456",
          "id": "123",
          "name": "my_object_to_contact",
          "toObjectTypeId": "0-1"
        }
      ],
      "createdAt": "2020-02-20T18:07:11.390Z",
      "fullyQualifiedName": "p7878787_my_object\"",
      "id": "123456",
      "labels": {
        "plural": "My objects",
        "singular": "My object"
      },
      "metaType": "PORTAL_SPECIFIC",
      "name": "my_object",
      "primaryDisplayProperty": "my_object_property",
      "properties": [
        {
          "archived": false,
          "calculated": false,
          "createdAt": "2020-02-20T18:07:11.802Z",
          "displayOrder": -1,
          "externalOptions": false,
          "fieldType": "text",
          "groupName": "my_object_information",
          "hasUniqueValue": false,
          "label": "My object property",
          "name": "my_object_property",
          "type": "string",
          "updatedAt": "2020-02-20T18:07:11.802Z"
        }
      ],
      "requiredProperties": [
        "my_object_property"
      ],
      "searchableProperties": [
        "my_object_property"
      ],
      "updatedAt": "2020-02-20T18:09:07.555Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://developers.hubspot.es/docs/llms.txt

Use this file to discover all available pages before exploring further.

Supported products

Autorizaciones

Authorization
string
header
requerido

The access token received from the authorization server in the OAuth 2.0 flow.

Cuerpo

application/json
includeAssociationDefinitions
boolean
requerido

Indica si se deben incluir definiciones de asociaciones en la respuesta.

includeAuditMetadata
boolean
requerido

Indica si se deben incluir metadatos de auditoría en la respuesta.

includePropertyDefinitions
boolean
requerido

Indica si se deben incluir definiciones de propiedades en la respuesta.

inputs
string[]
requerido

Respuesta

successful operation

results
object[]
requerido
Last modified on April 13, 2026